/********************************************************************************
*	NOTICE:														*
*																*
*	This code is believed by the author to be bug free.  You are free to use	*
*	and modify this code with the understanding that any use, either direct	*
*	or derivative, must contain acknowledgement of its author and source.		*
*	The author makes no warranty of any kind, expressed or implied, of		*
*	merchantability or fitness for a particular purpose.  The author shall	*
*	not be held liable for any incidental or consequential damages in		*
*	connection with or arising out of the furnishing, performance, or use of	*
*	this software.  This software is not authorized for use in life support	*
*	devices or systems.												*
*																*
********************************************************************************/

// AIPP software developed by Gianluca Di Pasqua, John Oh, and Sean Hanley
// in association with the DSP Lab at the University of Toronto, 2000.

import java.awt.*;
import java.awt.event.*;
import java.awt.image.*;


public class AIPPCanvas extends Canvas
{
	AIPP myframe;
	
	AIPPCanvas(AIPP temp)
	{
		myframe = temp;
	}
	
	public void update(Graphics g)
	{
		paint(g);
	}

	public void paint(Graphics g)
	{		
		if (myframe.image != null)
		{
			setSize(myframe.image.getWidth(this),myframe.image.getHeight(this));
			g.drawImage(myframe.image,0,0,this);
		}
		else
		{
			setSize(myframe.framew,myframe.frameh);
			super.paint(g);
		}
	}
}
